Skip to main content
GET
/
api
/
v1
/
jobs
List Jobs
curl --request GET \
  --url https://control-plane.kubiya.ai/api/v1/jobs \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://control-plane.kubiya.ai/api/v1/jobs"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://control-plane.kubiya.ai/api/v1/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "id": "<string>",
    "organization_id": "<string>",
    "name": "<string>",
    "description": "<string>",
    "enabled": true,
    "status": "<string>",
    "trigger_type": "<string>",
    "cron_schedule": "<string>",
    "cron_timezone": "<string>",
    "temporal_schedule_id": "<string>",
    "planning_mode": "<string>",
    "entity_type": "<string>",
    "entity_id": "<string>",
    "entity_name": "<string>",
    "prompt_template": "<string>",
    "system_prompt": "<string>",
    "executor_type": "<string>",
    "worker_queue_name": "<string>",
    "environment_name": "<string>",
    "config": {},
    "execution_environment": {
      "env_vars": {},
      "secrets": [
        "<string>"
      ],
      "integration_ids": [
        "<string>"
      ],
      "mcp_servers": {}
    },
    "last_execution_id": "<string>",
    "last_execution_at": "2023-11-07T05:31:56Z",
    "next_execution_at": "2023-11-07T05:31:56Z",
    "total_executions": 123,
    "successful_executions": 123,
    "failed_executions": 123,
    "execution_history": [
      {}
    ],
    "created_by": "<string>",
    "updated_by": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "last_triggered_at": "2023-11-07T05:31:56Z",
    "webhook_url": "<string>",
    "webhook_secret": "<string>",
    "created_by_email": "<string>",
    "updated_by_email": "<string>"
  }
]
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

Enter your Kubiya API token (format: Bearer )

Query Parameters

enabled
boolean | null
trigger_type
string | null

Response

Successful Response

id
string
required
organization_id
string
required
name
string
required
description
string | null
required
enabled
boolean
required
status
string
required
trigger_type
string
required
cron_schedule
string | null
required
cron_timezone
string | null
required
temporal_schedule_id
string | null
required
planning_mode
string
required
entity_type
string | null
required
entity_id
string | null
required
entity_name
string | null
required
prompt_template
string
required
system_prompt
string | null
required
executor_type
string
required
worker_queue_name
string | null
required
environment_name
string | null
required
config
Config · object
required
execution_environment
ExecutionEnvironment · object | null
required

Execution environment configuration for jobs

last_execution_id
string | null
required
last_execution_at
string<date-time> | null
required
next_execution_at
string<date-time> | null
required
total_executions
integer
required
successful_executions
integer
required
failed_executions
integer
required
execution_history
Execution History · object[]
required
created_by
string | null
required
updated_by
string | null
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
last_triggered_at
string<date-time> | null
required
webhook_url
string | null

Full webhook URL (generated from webhook_url_path)

webhook_secret
string | null

Webhook HMAC secret for signature verification

created_by_email
string | null

Email of the user who created the job (enriched)

updated_by_email
string | null

Email of the user who last updated the job (enriched)